# Bookkeeping Handles the bookkeeping for the client ## Creates a new bookkeeping rule for the specified client. The rule defines how transactions are processed and mapped to generate vouchers based on the client's requirements. - [POST /api/v1/clients/{clientId}/bookkeeping/matching-rules](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/createbookkeepingmatchingrule.md) ## Deletes a specific bookkeeping rule for the specified client. The rule to delete is identified by its unique rule ID. - [DELETE /api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/deletebookkeepingmatchingrule.md) ## Retrieves the details of a specific bookkeeping rule for the specified client. This rule is identified by its unique rule ID. - [GET /api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/getbookkeepingmatchingrule.md) ## Updates the details of an existing bookkeeping rule for the specified client. The rule to update is identified by its unique rule ID. - [PUT /api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingmatchingrule.md) ## Replaces the existing transaction filters of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current filters will be removed and replaced with the filters provided in the request body. - [PUT /api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}/filters](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingmatchingrulefilters.md) ## CreateBookkeepingSetting - [POST /api/v1/clients/{clientId}/bookkeeping/settings](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/createbookkeepingsetting.md) ## GetBookkeepingSettings - [GET /api/v1/clients/{clientId}/bookkeeping/settings](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/getbookkeepingsettings.md) ## UpdateBookkeepingSetting - [PUT /api/v1/clients/{clientId}/bookkeeping/settings/{bookkeepingSettingId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingsetting.md) ## DeleteBookkeepingSetting - [DELETE /api/v1/clients/{clientId}/bookkeeping/settings/{bookkeepingSettingId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/deletebookkeepingsetting.md) ## GetBookkeepingSetting - [GET /api/v1/clients/{clientId}/bookkeeping/settings/{bookkeepingSettingId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/getbookkeepingsetting.md) ## Creates a new bookkeeping rule for the specified client. The rule defines how transactions are processed and mapped to generate vouchers based on the client's requirements. - [POST /api/v1/clients/{clientId}/bookkeeping/transaction-rules](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/createbookkeepingtransactionrule.md) ## Retrieves the list of bookkeeping rules for a specified client. This endpoint returns all bookkeeping rules associated with the provided client ID. Each rule includes details such as the rule's ID, priority, and conditions. - [GET /api/v1/clients/{clientId}/bookkeeping/transaction-rules](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/getbookkeepingtransactionrules.md) ## Retrieves the details of a specific bookkeeping rule for the specified client. This rule is identified by its unique rule ID. - [GET /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/getbookkeepingtransactionrule.md) ## Updates the details of an existing bookkeeping rule for the specified client. The rule to update is identified by its unique rule ID. - [PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingtransactionrule.md) ## Deletes a specific bookkeeping rule for the specified client. The rule to delete is identified by its unique rule ID. - [DELETE /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/deletebookkeepingtransactionrule.md) ## Updates the priority for all bookkeeping rules associated with the specified client. All rules must be included in the request, identified by their unique rule IDs. Missing or unknown rules will result in a validation error. - [PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/priorities](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingrulespriority.md) ## Replaces the existing transaction filters of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current filters will be removed and replaced with the filters provided in the request body. - [PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}/filters](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingtransactionrulefilters.md) ## Replaces the existing transaction units of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current units will be removed and replaced with the units provided in the request body. - [PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}/units](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingtransactionruleunits.md) ## Replaces the existing transaction units of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current units will be removed and replaced with the units provided in the request body. - [PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}/field-mapping](https://developer.aritma.com/apis/accounting/erp-hub/openapi/erphub-openapi/bookkeeping/updatebookkeepingtransactionrulefieldmapping.md)